Update water guard
curl --request PUT \
--url https://api.orbital-systems.com/client/water-guards/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"device_group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"updated_at": "<string>"
}
'import requests
url = "https://api.orbital-systems.com/client/water-guards/{id}"
payload = {
"name": "<string>",
"device_group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"updated_at": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
device_group: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
owner: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
state: '<string>',
updated_at: '<string>'
})
};
fetch('https://api.orbital-systems.com/client/water-guards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_connected": "<string>",
"last_disconnected": "<string>",
"type": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"role": "<string>"
}{}{}{}Water Guards.
Update water guard
PUT
/
client
/
water-guards
/
{id}
Update water guard
Authorizations
Path Parameters
Water guard ID
Body
application/json
⌘I